import '../../stencil.core';
import { Mode } from '@ionic/core';
export declare class AddressSearchBox {
    input?: HTMLIonInputElement;
    geocodeCtrl?: HTMLGlGeocodeControllerElement;
    mode: Mode;
    el: HTMLGlAddressSearchElement;
    bboxArray: [number, number, number, number];
    hasFocus: boolean;
    hasValue: boolean;
    results: any[];
    lazyGeocodeCtrl: HTMLGlGeocodeControllerElement;
    bbox: [number, number, number, number] | string;
    jobId: string;
    limit: number;
    maxZoom: number;
    placeholder: string;
    url: string;
    zoomPadding: number;
    componentWillLoad(): Promise<void>;
    handleGeocode(e: CustomEvent): Promise<void>;
    handleBodyClick(): void;
    handleDown(e: any): void;
    handleUp(e: any): void;
    parseBbox(): void;
    setFocus(el: Element): void;
    unsetFocus(): void;
    formatAddress(address: any): any;
    selectResult(result: any): Promise<void>;
    geocode(): Promise<void>;
    renderResults(): JSX.Element;
    handleChange(): void;
    handleFocus(): void;
    handleClick(e: any): void;
    render(): JSX.Element[];
}
